Freeciv-3.3: packet_server_setting_enum Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
packet_server_setting_enum Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | id
bool | is_visible
bool | is_changeable
bool | initial_setting
enum setting_default_level | setdef
int | val
int | default_val
int | values_num
char | support_names [64][MAX_LEN_NAME]
char | pretty_names [64][MAX_LEN_ENUM]

## Detailed Description

Definition at line 1567 of file packets_gen.h.

## Field Documentation

## ◆ default_val

int packet_server_setting_enum::default_val

Definition at line 1574 of file packets_gen.h.

Referenced by send_packet_server_setting_enum_100(), and send_server_setting().

## ◆ id

int packet_server_setting_enum::id

Definition at line 1568 of file packets_gen.h.

## ◆ initial_setting

bool packet_server_setting_enum::initial_setting

Definition at line 1571 of file packets_gen.h.

Referenced by send_packet_server_setting_enum_100().

## ◆ is_changeable

bool packet_server_setting_enum::is_changeable

Definition at line 1570 of file packets_gen.h.

Referenced by send_packet_server_setting_enum_100().

## ◆ is_visible

bool packet_server_setting_enum::is_visible

Definition at line 1569 of file packets_gen.h.

Referenced by send_packet_server_setting_enum_100(), and send_server_setting().

## ◆ pretty_names

char packet_server_setting_enum::pretty_names[64][MAX_LEN_ENUM]

Definition at line 1577 of file packets_gen.h.

Referenced by send_packet_server_setting_enum_100(), and send_server_setting().

## ◆ setdef

enum setting_default_level packet_server_setting_enum::setdef

Definition at line 1572 of file packets_gen.h.

Referenced by send_packet_server_setting_enum_100().

## ◆ support_names

char packet_server_setting_enum::support_names[64][MAX_LEN_NAME]

Definition at line 1576 of file packets_gen.h.

Referenced by send_packet_server_setting_enum_100(), and send_server_setting().

## ◆ val

int packet_server_setting_enum::val

Definition at line 1573 of file packets_gen.h.

Referenced by send_packet_server_setting_enum_100(), and send_server_setting().

## ◆ values_num

int packet_server_setting_enum::values_num

Definition at line 1575 of file packets_gen.h.

Referenced by send_packet_server_setting_enum_100(), and send_server_setting().